import { Data } from './../Data';
import { GetRankItemData } from './GetRankItemData';
export class GetRankListData extends Data {
    /**
     * 排名列表
     */
    public list: GetRankItemData[];
    /**
     * 我的排行数据
     */
    public myUserData: GetRankItemData;
    public update(result: any): void {
        if (!result) {
            return;
        }
        super.update(result);
        if(!result.data){
            return;
        }
        this.list = result.data.rankList;
        if(result.data.user){
            this.myUserData = result.data.user;
        }
    }
}